    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.PropertyEditorManager

    java.lang.Object
       |
       +----java.beans.PropertyEditorManager

public class PropertyEditorManager
extends Object

The PropertyEditorManager can be used to locate a property editor for any given type name. This property editor must support the java.beans.PropertyEditor interface for editing a given object.

The PropertyEditorManager uses three techniques for locating an editor for a given type. First, it provides a registerEditor method to allow an editor to be specifically registered for a given type. Second it tries to locate a suitable class by adding "Editor" to the full qualified classname of the given type (e.g. "foo.bah.FozEditor"). Finally it takes the simple classname (without the package name) adds "Editor" to it and looks in a search-path of packages for a matching class.

So for an input class foo.bah.Fred, the PropertyEditorManager would first look in its tables to see if an editor had been registered for foo.bah.Fred and if so use that. Then it will look for a foo.bah.FredEditor class. Then it will look for (say) standardEditorsPackage.FredEditor class.

Default PropertyEditors will be provided for the Java builtin types "boolean", "byte", "short", "int", "long", "float", and "double"; and for the classes java.lang.String. java.awt.Color, and java.awt.Font.

##

PropertyEditorManager()

##

findEditor(Class)
  Locate a value editor for a given target type.
getEditorSearchPath()
registerEditor(Class, Class)
  Register an editor class to be used to editor values of a given target class.
setEditorSearchPath(String[])
  Change the list of package names that will be used for finding property editors.

##

PropertyEditorManager

     public PropertyEditorManager()

##

registerEditor

     public static void registerEditor(Class targetType,
                                       Class editorClass)

  Register an editor class to be used to editor values of a given target class.

  Parameters:
    targetType - the Class object of the type to be edited
    editorClass - the Class object of the editor class. If this is null, then any existing definition will be removed.

findEditor

     public static PropertyEditor findEditor(Class targetType)

  Locate a value editor for a given target type.

  Parameters:
    targetType - The Class object for the type to be edited
  Returns:
    An editor object for the given target class. The result is null if no suitable editor can be found.

getEditorSearchPath

     public static String[] getEditorSearchPath()

  Returns:
    The array of package names that will be searched in order to find property editors.

    This is initially set to {"sun.beans.editors"}.

setEditorSearchPath

     public static void setEditorSearchPath(String path[])

  Change the list of package names that will be used for finding property editors.

  Parameters:
    path - Array of package names.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.